import 'package:desktop_ui/desktop_ui.dart';
import 'package:flutter/material.dart';

IconData getAlertIcon(EasyThemeType? type) {
  IconData icon = EasyIconData.smile;
  if (type == null) return icon;
  switch (type) {
    case EasyThemeType.primary:
      icon = EasyIconData.smile;
      break;
    case EasyThemeType.success:
      icon = EasyIconData.success;
      break;
    case EasyThemeType.info:
      icon = EasyIconData.prompt;
      break;
    case EasyThemeType.warn:
      icon = EasyIconData.warning;
      break;
    case EasyThemeType.error:
      icon = EasyIconData.error;
      break;
  }
  return icon;
}
