import 'package:desktop_ui/constants.dart';
import 'package:desktop_ui/enums/avatar.dart';

/// 获取按钮高度
double getAvatarSize(EasyAvatarSize? size) {
  double height = iAvatarSize;
  if (size == null) return height;
  switch (size) {
    case EasyAvatarSize.small:
      height = iAvatarSizeSmall;
      break;
    case EasyAvatarSize.middle:
      height = iAvatarSizeMiddle;
      break;
    case EasyAvatarSize.larger:
      height = iAvatarSizeLarger;
      break;
  }
  return height;
}
